## gloverlay

gloverlay

## Properties

gdouble | alpha | Read / Write
gchar * | location | Read / Write
gint | offset-x | Read / Write
gint | offset-y | Read / Write
gint | overlay-height | Read / Write
gint | overlay-width | Read / Write
gdouble | relative-x | Read / Write
gdouble | relative-y | Read / Write

## Types and Values

struct | GstGLOverlay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstGLBaseFilter
                            ╰── GstGLFilter
                                ╰── GstGLOverlay

## Description

Overlay GL video texture with a PNG image

#### Examples

    1

    gst-launch-1.0 videotestsrc ! gloverlay location=image.jpg ! glimagesink

FBO (Frame Buffer Object) is required.

## Synopsis

### Element Information

plugin | opengl
author | Filippo Argiolas <filippo.argiolas@gmail.com>, Matthew Waters <matthew@centricular.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw(ANY), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D
| video/x-raw(memory:GLMemory), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D

name | src
direction | source
presence | always
details | video/x-raw(memory:GLMemory), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D
| video/x-raw(ANY), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D

## Functions

## Types and Values

### struct GstGLOverlay

    struct GstGLOverlay;

## Property Details

### The `“alpha”` property

      “alpha”                    gdouble

Global alpha of overlay image.

Flags: Read / Write

Allowed values: [0,1]

Default value: 1

### The `“location”` property

      “location”                 gchar *

Location of image file to overlay.

Flags: Read / Write

Default value: NULL

### The `“offset-x”` property

      “offset-x”                 gint

For positive value, horizontal offset of overlay image in pixels from left of video image. For negative value, horizontal offset of overlay image in pixels from right of video image.

Flags: Read / Write

Default value: 0

### The `“offset-y”` property

      “offset-y”                 gint

For positive value, vertical offset of overlay image in pixels from top of video image. For negative value, vertical offset of overlay image in pixels from bottom of video image.

Flags: Read / Write

Default value: 0

### The `“overlay-height”` property

      “overlay-height”           gint

Height of overlay image in pixels (0 = same as overlay image).

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“overlay-width”` property

      “overlay-width”            gint

Width of overlay image in pixels (0 = same as overlay image).

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“relative-x”` property

      “relative-x”               gdouble

Horizontal offset of overlay image in fractions of video image width, from top-left corner of video image.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0

### The `“relative-y”` property

      “relative-y”               gdouble

Vertical offset of overlay image in fractions of video image height, from top-left corner of video image.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0